#!/bin/bash

if [ -e $HOME/.spool/ssh-agent.sock ]; then
    PID=$(tail -n 1 $HOME/.spool/ssh-agent.env | sed 's/echo Agent pid \([0-9]*\);/\1/')
    if [ -z $PID ]; then
        pkill ssh-agent
        rm $HOME/.spool/ssh-agent.*
    else
        CMD=$(ps -p $PID -o comm | tail -n 1)
        if [ ! -z $CMD ] && [ $CMD == 'ssh-agent' ]; then
            echo "Valid agent already found at $HOME/.spool/ssh-agent.sock with PID $PID"
            exit
        fi
    fi
fi

eval $(ssh-agent -a $HOME/.spool/ssh-agent.sock | tee $HOME/.spool/ssh-agent.env) >/dev/null
